## fusionforge 6.0.5

=== docs/docbook/Makefile ===

#XSLTPROC = xsltproc -v
XSLTPROC = xsltproc
SRC = docbook/
TARGET = build/
XSL = xsl/
DOCBOOK_XSL = ${XSL}docbook
DB2LATEX_XSL = ${XSL}db2latex/
XSLFOP = /usr/share/xml/docbook/stylesheet/docbook-xsl/fo/
FOP = fop
#DEVNULL = >>/tmp/debug 2>&1
DEVNULL = >/dev/null 2>&1

BOOKS=gforge_manual
ARTICLES=administration_guide user_guide contribution_guide installation_guide

all: clean html html-chunk html-guide pdf

html: validate prepare
	##
	# Generating HTML output
	#
	@for book in ${BOOKS}; do \
		echo '# . Generating HTML output for book '$$book; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$book/$$book.plain.html ${XSL}book_html.xsl ${SRC}$$book.xml; \
		tar -czf ${TARGET}$$book/$$book.plain.tar.gz ${TARGET}$$book/$$book.plain.html; \
	done;

	@for article in ${ARTICLES}; do \
		echo '# . Generating HTML output for article '$$article; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$article/$$article.plain.html ${XSL}article_html.xsl ${SRC}$$article/$$article.xml; \
		tar -czf ${TARGET}$$article/$$article.plain.tar.gz ${TARGET}$$article/$$article.plain.html; \
	done;
	#
	# Done
	##

html-chunk: validate prepare
	##
	# Generating HTML chunked output
	#
	@for book in ${BOOKS}; do \
		echo '# . Generating HTML chunked output for book '$$book; \
		test -d ${TARGET}$$book/$$book || mkdir ${TARGET}$$book/$$book.chunk; \
		$(XSLTPROC) --xinclude --stringparam base.dir ${TARGET}$$book/$$book.chunk/ ${XSL}book_html_chunk.xsl ${SRC}$$book.xml ${DEVNULL}; \
		tar -czf ${TARGET}$$book/$$book.chunk.tar.gz ${TARGET}$$book/$$book.chunk; \
	done;

	@for article in ${ARTICLES}; do \
		echo '# . Generating HTML chunked output for article '$$article; \
		test -d ${TARGET}$$article/$$article || mkdir ${TARGET}$$article/$$article.chunk; \
		$(XSLTPROC) --xinclude --stringparam base.dir ${TARGET}$$article/$$article.chunk/ ${XSL}article_html_chunk.xsl ${SRC}$$article/$$article.xml ${DEVNULL}; \
		tar -czf ${TARGET}$$article/$$article.chunk.tar.gz ${TARGET}$$article/$$article.chunk; \
	done;
	#
	# Done
	##

# This guide is the online guide, it is generated as chunked document
# and saved in /usr/share/gforge/www/help/guide/
html-guide: $(SRC)/user_guide/user_guide.xml
	rm -f guide/ug_* guide/bk*
	$(XSLTPROC) --xinclude --stringparam use.id.as.filename 1 --stringparam chunk.section.depth 2 --stringparam chunker.output.indent yes --stringparam chunker.output.encoding UTF-8 --stringparam base.dir guide/ --stringparam html.stylesheet docbook.css ${XSL}article_html_chunk.xsl $<
	cp css/docbook.css guide/docbook.css
#	rm -f guide/images/*
#	cp -p images/* guide/images/

pdffop: validate prepare
	##
	# Generating PDF output
	#
	# Inspired from Alain Peyrat suggestion
	#xsltproc --xinclude -o tmp.fo $(XSL)/fo-stylesheet.xsl $(XML)/user_guide/user_guide_full.xml
	#$(FOP) -fo tmp.fo -pdf help_guide/user_guide.pdf
	@for book in ${BOOKS}; do \
		echo '# . Generating PDF output for book '$$book; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$book/$$book.fo ${XSLFOP}docbook.xsl ${SRC}$$book.xml ${DEVNULL}; \
		(cd ${TARGET}$$book; $(FOP) -fo $$book.fo -pdf $$book.pdf ${DEVNULL};); \
	done;

	@for article in ${ARTICLES}; do \
		echo '# . Generating PDF output for article '$$article; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$article/$$article.fo ${XSLFOP}docbook.xsl ${SRC}$$article/$$article.xml ${DEVNULL}; \
		(cd ${TARGET}$$article; $(FOP) -fo $$article.fo -pdf $$article.pdf ${DEVNULL};); \
	done;
	#
	# Done
	##

pdf: validate prepare
	##
	# Generating PDF output
	#
	@for book in ${BOOKS}; do \
		echo '# . Generating PDF output for book '$$book; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$book/$$book.tex ${XSL}book_pdf.xsl ${SRC}$$book.xml ${DEVNULL}; \
		(cd ${TARGET}$$book; pdflatex -interaction=batchmode $$book.tex ${DEVNULL};); \
		(cd ${TARGET}$$book; pdflatex -interaction=batchmode $$book.tex ${DEVNULL};); \
		(cd ${TARGET}$$book; pdflatex -interaction=batchmode $$book.tex ${DEVNULL};); \
		(cd ${TARGET}$$book; rm -f *.aux *.glo *.idx *.log *.out *.tex *.toc ${DEVNULL};); \
	done;

	@for article in ${ARTICLES}; do \
		echo '# . Generating PDF output for article '$$article; \
		$(XSLTPROC) --xinclude --output ${TARGET}$$article/$$article.tex ${XSL}article_pdf.xsl ${SRC}$$article/$$article.xml ${DEVNULL}; \
		(cd ${TARGET}$$article; pdflatex -interaction=batchmode $$article.tex ${DEVNULL};); \
		(cd ${TARGET}$$article; pdflatex -interaction=batchmode $$article.tex ${DEVNULL};); \
		(cd ${TARGET}$$article; pdflatex -interaction=batchmode $$article.tex ${DEVNULL};); \
		(cd ${TARGET}$$article; rm -f *.aux *.glo *.idx *.log *.out *.tex *.toc ${DEVNULL};); \
	done;
	#
	# Done
	##

prepare:
	##
	# Preparing build environment
	#
	@test -d ${TARGET} || mkdir -p ${TARGET};
	@for book in ${BOOKS}; do \
		test -d ${TARGET}$$book || mkdir ${TARGET}$$book; \
	done;
	@for article in ${ARTICLES}; do \
		test -d ${TARGET}$$article || mkdir ${TARGET}$$article; \
	done;
	# Done
	##

validate:
	##
	# Validating documents
	#
	@for book in ${BOOKS}; do \
		if (xmllint --xinclude --noout --postvalid ${SRC}$$book.xml ${DEVNULL}); then \
			echo '# . Validating book '$$book' : [ OK ]'; \
		else \
			echo '# . Validating book '$$book' : [ ERROR ]'; \
			echo '#'; \
			echo '# ERROR : please check your docbook documents using xmllint first'; \
			echo '##'; \
			exit 1; \
		fi; \
	done;
	@for article in ${ARTICLES}; do \
		if (xmllint --xinclude --noout --postvalid ${SRC}$$article/$$article.xml ${DEVNULL}); then \
			echo '# . Validating article '$$article' : [ OK ]'; \
		else \
			echo '# . Validating article '$$article' : [ ERROR ]'; \
			echo '#'; \
			echo '# ERROR : please check your docbook documents using xmllint first'; \
			echo '##'; \
			exit 1; \
		fi; \
	done;
	#
	# Done
	##

clean:
	##
	# Cleaning build environment
	#
	@-rm -rf $(TARGET)*
	@-rm -rf guide/
	# Done
	##

clobber: clean
	##
	# Hard cleaning build environment
	#
	@[ -L xsl/docbook ] && rm xsl/docbook || true
	@[ -L xsl/db2latex/xsl ] && rm xsl/db2latex/xsl || true
	@[ -d xsl/db2latex ] && rmdir xsl/db2latex || true
	# Done
	##

debian: debianhtml debianpdf

debianhtml: docbook-xml docbook-xsl libxml2-utils xsltproc
	@echo "=====> Link to docbook"
	@if [ ! -L $(DOCBOOK_XSL) ]; then \
		if [ -d /usr/share/xml/docbook/stylesheet/nwalsh ]; then \
			ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(DOCBOOK_XSL) ; \
		elif [ -d /usr/share/xml/docbook/stylesheet/docbook-xsl ]; then \
			ln -s /usr/share/xml/docbook/stylesheet/docbook-xsl $(DOCBOOK_XSL) ; \
		fi; \
	else \
		echo "docbook link already done" ; \
	fi
	@make html
	@rm -f xsl/docbook

debianpdf: xsltproc fop
	@make pdffop

docbook-xml: /usr/share/xml/docbook
docbook-xsl: /usr/share/doc/docbook-xsl
libxml2-utils: /usr/bin/xmllint
xsltproc: /usr/bin/xsltproc
fop: /usr/bin/fop

/usr/share/xml/docbook:
	@echo "=====> Intalling necessary docbook-xml package"
	@sudo apt-get install docbook-xml

/usr/share/doc/docbook-xsl:
	@echo "=====> Intalling necessary docbook-xsl package"
	@sudo apt-get install docbook-xsl

/usr/bin/xmllint:
	@echo "=====> Intalling necessary xmllint package"
	@sudo apt-get install libxml2-utils

/usr/bin/xsltproc:
	@echo "=====> Intalling necessary xsltproc package"
	@sudo apt-get install xsltproc

/usr/bin/fop:
	@echo "=====> Intalling necessary fop package"
	@sudo apt-get install fop

=== plugins/wiki/www/locale/Makefile ===
# locale/Makefile
#
# This is a replacement for locale/translate.sh to avoid remaking
# files that don't need to be remade.
#

POT_FILE = po/phpwiki.pot
GETTEXT_LINT_REPORTXSL = /usr/local/share/gettext-lint/report.xsl

.PHONY: all po mo clean depend ${POT_FILE}

all	: po mo
po 	: # dependencies are auto-generated by 'make depend' , see below
mo	: # dependencies are auto-generated by 'make depend' , see below

${POT_FILE} : # dependencies are auto-generated by 'make depend' , see below
	cp -f $@ $@~
	xgettext -L PHP --from-code=utf-8 -k_ -k__printf -k__sprintf -k__vsprintf -kfmt -o $@.extracted $^
	sed -e's,; charset=CHARSET,; charset=UTF-8,' $@.extracted
	msgmerge -o $@.new $@~ $@.extracted && grep -v ^\#: $@.new > $@
	rm -f $@.extracted 

# merge in place to keep unchanged timestamps
po/%.po : ${POT_FILE}
	test -f $@ || touch $@
	cp -f $@ $@~
	msgmerge -o $@.new $@~ $^ && grep -v ^\#: $@.new > $@

%/LC_MESSAGES/phpwiki.mo : po/%.po
	mkdir -p $*/LC_MESSAGES
	msgfmt -o $@ $<

clean :
	rm -f ./*/LC_MESSAGES/phpwiki.mo

depend :
	$(SHELL) update-makefile.sh

dep :
	@echo "Please use make depend"

# requires gettext-lint installed into /usr/local. (configure && make && make install)
# http://gettext-lint.sourceforge.net/
check: 
	POFileChecker po/*.po | xsltproc $(GETTEXT_LINT_REPORTXSL) - | \
		perl -pe's/<table>/<table border="1">/; s/<tr><td rowspan=/<tr valign="top"><td rowspan=/g' \
	        > POFileChecker.html

# DO NOT DELETE THIS LINE
#
# The remainder of this file is auto-generated
#
# (Run 'make depend' regenerate this section.)
#
po: po/de.po
mo: de/LC_MESSAGES/phpwiki.mo
po: po/es.po
mo: es/LC_MESSAGES/phpwiki.mo
po: po/fr.po
mo: fr/LC_MESSAGES/phpwiki.mo
po: po/it.po
mo: it/LC_MESSAGES/phpwiki.mo
po: po/ja.po
mo: ja/LC_MESSAGES/phpwiki.mo
po: po/nl.po
mo: nl/LC_MESSAGES/phpwiki.mo
po: po/sv.po
mo: sv/LC_MESSAGES/phpwiki.mo
po: po/zh.po
mo: zh/LC_MESSAGES/phpwiki.mo
#
${POT_FILE}: ../lib/ArchiveCleaner.php
${POT_FILE}: ../lib/AtomParser.php
${POT_FILE}: ../lib/BlockParser.php
${POT_FILE}: ../lib/CachedMarkup.php
${POT_FILE}: ../lib/Captcha.php
${POT_FILE}: ../lib/config.php
${POT_FILE}: ../lib/DbaDatabase.php
${POT_FILE}: ../lib/DbaListSet.php
${POT_FILE}: ../lib/DbaPartition.php
${POT_FILE}: ../lib/DbSession/ADODB.php
${POT_FILE}: ../lib/DbSession/dba.php
${POT_FILE}: ../lib/DbSession/PDO.php
${POT_FILE}: ../lib/DbSession.php
${POT_FILE}: ../lib/DbSession/SQL.php
${POT_FILE}: ../lib/diff3.php
${POT_FILE}: ../lib/difflib.php
${POT_FILE}: ../lib/diff.php
${POT_FILE}: ../lib/display.php
${POT_FILE}: ../lib/editpage.php
${POT_FILE}: ../lib/EditToolbar.php
${POT_FILE}: ../lib/ErrorManager.php
${POT_FILE}: ../lib/ExternalReferrer.php
${POT_FILE}: ../lib/FileFinder.php
${POT_FILE}: ../lib/font/chinese.php
${POT_FILE}: ../lib/font/courierbi.php
${POT_FILE}: ../lib/font/courierb.php
${POT_FILE}: ../lib/font/courieri.php
${POT_FILE}: ../lib/font/courier.php
${POT_FILE}: ../lib/font/helveticabi.php
${POT_FILE}: ../lib/font/helveticab.php
${POT_FILE}: ../lib/font/helveticai.php
${POT_FILE}: ../lib/font/helvetica.php
${POT_FILE}: ../lib/font/japanese.php
${POT_FILE}: ../lib/font/symbol.php
${POT_FILE}: ../lib/font/timesbi.php
${POT_FILE}: ../lib/font/timesb.php
${POT_FILE}: ../lib/font/timesi.php
${POT_FILE}: ../lib/font/times.php
${POT_FILE}: ../lib/font/zapfdingbats.php
${POT_FILE}: ../lib/fortune.php
${POT_FILE}: ../lib/gif.php
${POT_FILE}: ../lib/Google.php
${POT_FILE}: ../lib/HtmlElement.php
${POT_FILE}: ../lib/HtmlParser.php
${POT_FILE}: ../lib/HttpClient.php
${POT_FILE}: ../lib/imagecache.php
${POT_FILE}: ../lib/IniConfig.php
${POT_FILE}: ../lib/InlineParser.php
${POT_FILE}: ../lib/install.php
${POT_FILE}: ../lib/loadsave.php
${POT_FILE}: ../lib/MailNotify.php
${POT_FILE}: ../lib/main.php
${POT_FILE}: ../lib/PageList.php
${POT_FILE}: ../lib/PagePerm.php
${POT_FILE}: ../lib/PageType.php
${POT_FILE}: ../lib/pdf.php
${POT_FILE}: ../lib/plugin/AddComment.php
${POT_FILE}: ../lib/plugin/AllPages.php
${POT_FILE}: ../lib/plugin/AllUsers.php
${POT_FILE}: ../lib/plugin/AnalyseAccessLogSql.php
${POT_FILE}: ../lib/plugin/AppendText.php
${POT_FILE}: ../lib/plugin/AsciiMath.php
${POT_FILE}: ../lib/plugin/AsciiSVG.php
${POT_FILE}: ../lib/plugin/AtomFeed.php
${POT_FILE}: ../lib/plugin/AuthorHistory.php
${POT_FILE}: ../lib/plugin/BackLinks.php
${POT_FILE}: ../lib/plugin/BlogArchives.php
${POT_FILE}: ../lib/plugin/BlogJournal.php
${POT_FILE}: ../lib/plugin/BoxRight.php
${POT_FILE}: ../lib/plugin/CacheTest.php
${POT_FILE}: ../lib/plugin/CalendarList.php
${POT_FILE}: ../lib/plugin/Calendar.php
${POT_FILE}: ../lib/plugin/CategoryPage.php
${POT_FILE}: ../lib/plugin/Chart.php
${POT_FILE}: ../lib/plugin/Comment.php
${POT_FILE}: ../lib/plugin/CreateBib.php
${POT_FILE}: ../lib/plugin/CreatePage.php
${POT_FILE}: ../lib/plugin/CreateToc.php
${POT_FILE}: ../lib/plugin/CurrentTime.php
${POT_FILE}: ../lib/plugin/DeadEndPages.php
${POT_FILE}: ../lib/plugin/DebugAuthInfo.php
${POT_FILE}: ../lib/plugin/DebugBackendInfo.php
${POT_FILE}: ../lib/plugin/DebugGroupInfo.php
${POT_FILE}: ../lib/plugin/DebugRetransform.php
${POT_FILE}: ../lib/plugin/Diff.php
${POT_FILE}: ../lib/plugin/DynamicIncludePage.php
${POT_FILE}: ../lib/plugin/EditMetaData.php
${POT_FILE}: ../lib/plugin/ExternalSearch.php
${POT_FILE}: ../lib/plugin/FacebookLike.php
${POT_FILE}: ../lib/plugin/FileInfo.php
${POT_FILE}: ../lib/plugin/FoafViewer.php
${POT_FILE}: ../lib/plugin/FrameInclude.php
${POT_FILE}: ../lib/plugin/FullTextSearch.php
${POT_FILE}: ../lib/plugin/FuzzyPages.php
${POT_FILE}: ../lib/plugin/GoogleMaps.php
${POT_FILE}: ../lib/plugin/GooglePlugin.php
${POT_FILE}: ../lib/plugin/GoTo.php
${POT_FILE}: ../lib/plugin/GraphViz.php
${POT_FILE}: ../lib/plugin/HelloWorld.php
${POT_FILE}: ../lib/plugin/HtmlConverter.php
${POT_FILE}: ../lib/plugin/IncludePage.php
${POT_FILE}: ../lib/plugin/IncludePages.php
${POT_FILE}: ../lib/plugin/IncludeSiteMap.php
${POT_FILE}: ../lib/plugin/IncludeTree.php
${POT_FILE}: ../lib/plugin/InterWikiSearch.php
${POT_FILE}: ../lib/plugin/JabberPresence.php
${POT_FILE}: ../lib/plugin/LdapSearch.php
${POT_FILE}: ../lib/plugin/LikePages.php
${POT_FILE}: ../lib/plugin/LinkDatabase.php
${POT_FILE}: ../lib/plugin/LinkSearch.php
${POT_FILE}: ../lib/plugin/ListPages.php
${POT_FILE}: ../lib/plugin/ListRelations.php
${POT_FILE}: ../lib/plugin/ListSubpages.php
${POT_FILE}: ../lib/plugin/MediawikiTable.php
${POT_FILE}: ../lib/plugin/ModeratedPage.php
${POT_FILE}: ../lib/plugin/MostPopular.php
${POT_FILE}: ../lib/plugin/NewPagesPerUser.php
${POT_FILE}: ../lib/plugin/NoCache.php
${POT_FILE}: ../lib/plugin/OldStyleTable.php
${POT_FILE}: ../lib/plugin/OrphanedPages.php
${POT_FILE}: ../lib/plugin/PageDump.php
${POT_FILE}: ../lib/plugin/PageGroup.php
${POT_FILE}: ../lib/plugin/PageHistory.php
${POT_FILE}: ../lib/plugin/PageInfo.php
${POT_FILE}: ../lib/plugin/PageTrail.php
${POT_FILE}: ../lib/plugin/PasswordReset.php
${POT_FILE}: ../lib/plugin/PhotoAlbum.php
${POT_FILE}: ../lib/plugin/PhpHighlight.php
${POT_FILE}: ../lib/plugin/PhpWeather.php
${POT_FILE}: ../lib/plugin/Ploticus.php
${POT_FILE}: ../lib/plugin/PluginManager.php
${POT_FILE}: ../lib/plugin/PopularNearby.php
${POT_FILE}: ../lib/plugin/PopularTags.php
${POT_FILE}: ../lib/plugin/PopUp.php
${POT_FILE}: ../lib/plugin/PreferenceApp.php
${POT_FILE}: ../lib/plugin/PreferencesInfo.php
${POT_FILE}: ../lib/plugin/PrevNext.php
${POT_FILE}: ../lib/plugin/Processing.php
${POT_FILE}: ../lib/plugin/RandomPage.php
${POT_FILE}: ../lib/plugin/RateIt.php
${POT_FILE}: ../lib/plugin/RawHtml.php
${POT_FILE}: ../lib/plugin/RecentChangesCached.php
${POT_FILE}: ../lib/plugin/RecentChanges.php
${POT_FILE}: ../lib/plugin/RecentComments.php
${POT_FILE}: ../lib/plugin/RecentEdits.php
${POT_FILE}: ../lib/plugin/RecentReferrers.php
${POT_FILE}: ../lib/plugin/RedirectTo.php
${POT_FILE}: ../lib/plugin/RelatedChanges.php
${POT_FILE}: ../lib/plugin/RichTable.php
${POT_FILE}: ../lib/plugin/RssFeed.php
${POT_FILE}: ../lib/plugin/SearchHighlight.php
${POT_FILE}: ../lib/plugin/SemanticRelations.php
${POT_FILE}: ../lib/plugin/SemanticSearchAdvanced.php
${POT_FILE}: ../lib/plugin/SemanticSearch.php
${POT_FILE}: ../lib/plugin/SiteMap.php
${POT_FILE}: ../lib/plugin/SpellCheck.php
${POT_FILE}: ../lib/plugin/SqlResult.php
${POT_FILE}: ../lib/plugin/SyncWiki.php
${POT_FILE}: ../lib/plugin/SystemInfo.php
${POT_FILE}: ../lib/plugin/Template.php
${POT_FILE}: ../lib/plugin/TeX2png.php
${POT_FILE}: ../lib/plugin/text2png.php
${POT_FILE}: ../lib/plugin/TexToPng.php
${POT_FILE}: ../lib/plugin/TitleSearch.php
${POT_FILE}: ../lib/plugin/Transclude.php
${POT_FILE}: ../lib/plugin/TranslateText.php
${POT_FILE}: ../lib/plugin/UnfoldSubpages.php
${POT_FILE}: ../lib/plugin/UpLoad.php
${POT_FILE}: ../lib/plugin/UriResolver.php
${POT_FILE}: ../lib/plugin/UserPreferences.php
${POT_FILE}: ../lib/plugin/UserRatings.php
${POT_FILE}: ../lib/plugin/VisualWiki.php
${POT_FILE}: ../lib/plugin/WantedPagesOld.php
${POT_FILE}: ../lib/plugin/WantedPages.php
${POT_FILE}: ../lib/plugin/WatchPage.php
${POT_FILE}: ../lib/plugin/WhoIsOnline.php
${POT_FILE}: ../lib/plugin/WikiAdminChown.php
${POT_FILE}: ../lib/plugin/WikiAdminDeleteAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminPurge.php
${POT_FILE}: ../lib/plugin/WikiAdminRemove.php
${POT_FILE}: ../lib/plugin/WikiAdminRename.php
${POT_FILE}: ../lib/plugin/WikiAdminSearchReplace.php
${POT_FILE}: ../lib/plugin/WikiAdminSelect.php
${POT_FILE}: ../lib/plugin/WikiAdminSetAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminSetExternal.php
${POT_FILE}: ../lib/plugin/WikiAdminUtils.php
${POT_FILE}: ../lib/plugin/WikiBlog.php
${POT_FILE}: ../lib/plugin/WikicreoleTable.php
${POT_FILE}: ../lib/plugin/WikiForm.php
${POT_FILE}: ../lib/plugin/WikiFormRich.php
${POT_FILE}: ../lib/plugin/WikiForum.php
${POT_FILE}: ../lib/plugin/WikiPoll.php
${POT_FILE}: ../lib/plugin/WikiTranslation.php
${POT_FILE}: ../lib/plugin/YouTube.php
${POT_FILE}: ../lib/prepend.php
${POT_FILE}: ../lib/purgepage.php
${POT_FILE}: ../lib/removepage.php
${POT_FILE}: ../lib/Request.php
${POT_FILE}: ../lib/RssParser.php
${POT_FILE}: ../lib/RSSWriter091.php
${POT_FILE}: ../lib/RssWriter2.php
${POT_FILE}: ../lib/RssWriter.php
${POT_FILE}: ../lib/SemanticWeb.php
${POT_FILE}: ../lib/spam_babycart.php
${POT_FILE}: ../lib/SpamBlocklist.php
${POT_FILE}: ../lib/stdlib.php
${POT_FILE}: ../lib/Template.php
${POT_FILE}: ../lib/TextSearchQuery.php
${POT_FILE}: ../lib/Units.php
${POT_FILE}: ../lib/upgrade.php
${POT_FILE}: ../lib/WikiCallback.php
${POT_FILE}: ../lib/WikiDB/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssqlnative.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_oci8po.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_postgres7.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_sqlite.php
${POT_FILE}: ../lib/WikiDB/backend/cvs.php
${POT_FILE}: ../lib/WikiDB/backend/dbaBase.php
${POT_FILE}: ../lib/WikiDB/backend/dba.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/AllRevisionsIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/BackLinkIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/LinkSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostPopularIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostRecentIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/TextSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/WantedPagesIter.php
${POT_FILE}: ../lib/WikiDB/backend/file.php
${POT_FILE}: ../lib/WikiDB/backend/flatfile.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_ffpgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_sqlite.php

=== debian/changelog ===
fusionforge (6.0.5-2ubuntu1) bionic; urgency=medium

  * d/{control, plugins}: Drop plugins that depend on no longer packaged
    libarc-php and libgraphite-php.
    - Debian Bug #846219, LP #1694835 and Debian Bug #846073

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 19 Mar 2018 11:51:52 -0700

fusionforge (6.0.5-2) unstable; urgency=medium

  * Disable the scmcvs and scmbzr plugins in official Debian packages (not
    the ones built by fusionforge.org), again.  Mediawiki is still fine.
  * Adapt installation script to PostgreSQL 10 (which dropped the
    createlang tool).

 -- Roland Mas <lolando@debian.org>  Sat, 02 Dec 2017 16:52:51 +0100

fusionforge (6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * More packaging fixes for php7.0:
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821486).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821487).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821488).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821489).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821490).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821491).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821492).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821493).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821494).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821495).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821496).
  * Bug fix: "PHP 7.0 Transition", thanks to Ondřej Surý (Closes:
    #821497).
  * Fixed Lintian warning (fusionforge-web dependency on virtual package
    only).
  * Removed Olivier Berger from uploaders.  Thanks, Olivier!

 -- Roland Mas <lolando@debian.org>  Fri, 17 Nov 2017 16:19:24 +0100

=== debian/control ===
# GENERATED used debian/gen_control.sh
Source: fusionforge
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://fusionforge.org/
Vcs-Git: git://fusionforge.org/fusionforge/fusionforge.git
Vcs-Browser: https://fusionforge.org/scm/browser.php?group_id=6


Package: fusionforge
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-db-local | fusionforge-db, fusionforge-web, fusionforge-scm, ${misc:Depends}
Recommends: fusionforge-lists, fusionforge-shell, fusionforge-plugin-scmgit, fusionforge-plugin-scmsvn
Suggests: fusionforge-web-vhosts, fusionforge-plugin-mediawiki, fusionforge-plugin-moinmoin, fusionforge-plugin-blocks
Description: collaborative development tool - standard metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a stand-alone FusionForge site.
 See also the Recommends and Suggests dependencies.


Package: fusionforge-common
Architecture: all
Depends: php-cli | php5-cli, php-pgsql | php5-pgsql, php-htmlpurifier | php5-htmlpurifier, cron, ucf, ${misc:Depends}
# Handle conflicts with files in old packages:
# gforge-common -> /usr/share/locale/XX/LC_MESSAGES/fusionforge.mo
# gforge-db-postgresql -> /usr/bin/forge_make_admin & forge_set_password
Replaces: gforge-common (<< 6.0-1~), gforge-db-postgresql (<< 6.0-1~)
Breaks: gforge-common (<< 6.0-1~), gforge-db-postgresql (<< 6.0-1~)
Description: collaborative development tool - shared files
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains files and programs used by several other
 subpackages.


Package: fusionforge-db-local
Architecture: all
Provides: fusionforge-db
Depends: fusionforge-common (=${source:Version}), postgresql, php-cli | php5-cli, ${misc:Depends}
Description: collaborative development tool - database (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package installs, configures and maintains the FusionForge
 database.


Package: fusionforge-db-remote
Architecture: all
Provides: fusionforge-db
Depends: ${misc:Depends}
Description: collaborative development tool - database (remote)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This dummy package tells FusionForge you installed the database on a
 separate machine.  It preserves the fusionforge-db virtual dependency,
 to configure the database before depending packages in single-server
 installs (e.g. plugins activation requires a populated db).


Package: fusionforge-web
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-db-local | fusionforge-db, libapache2-mpm-itk | apache2-mpm-itk, php-cli | php5-cli, libapache2-mod-php | libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, poppler-utils, openssl, ${misc:Depends}
Recommends: locales-all, unoconv
Description: collaborative development tool - web part (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run the web part of
 FusionForge on an Apache web server.


Package: fusionforge-web-vhosts
Architecture: all
Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, ${misc:Depends}
Description: collaborative development tool - web vhosts (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run project vhosts
 on an Apache web server.


Package: fusionforge-shell
Architecture: all
Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, libnss-pgsql2, openssh-server, unscd | nscd, libpam-modules, ucf, ${misc:Depends}
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package provides shell accounts authenticated via the PostGreSQL
 database to FusionForge users.


Package: fusionforge-scm
Architecture: all
Depends: fusionforge-common (=${source:Version}), fusionforge-shell (=${source:Version}), xinetd, rsync, php-cli | php5-cli, ${misc:Depends}
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the jobs to manage SCM repositories.
 It should be installed on only one server in your infrastructure.


Package: fusionforge-mta-postfix
Architecture: all
Depends: fusionforge-common (=${source:Version}), postfix, postfix-pgsql, ${misc:Depends}
Provides: fusionforge-mta
Conflicts: fusionforge-mta
Description: collaborative development tool - mail tools (using Postfix)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Postfix mail transfer agent to run
 FusionForge.


Package: fusionforge-mta-exim4
Architecture: all
Depends: fusionforge-common (=${source:Version}), exim4-daemon-heavy, ${misc:Depends}
Provides: fusionforge-mta
Conflicts: fusionforge-mta
Description: collaborative development tool - mail tools (using Exim 4)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Exim 4 mail transfer agent to run
 FusionForge.


Package: fusionforge-lists
Architecture: all
Depends: fusionforge-common (=${source:Version}), php-cli | php5-cli, fusionforge-mta-postfix | fusionforge-mta, mailman, ${misc:Depends}
Description: collaborative development tool - mailing-lists (using Mailman)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package controls the interaction between FusionForge and Mailman.


##
# Transition 5.3->6.0
##
# https://wiki.debian.org/Renaming_a_Package#Method_2

Package: gforge-common
Depends: fusionforge-common, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-db-postgresql
Depends: fusionforge-db-local, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-db-remote
Depends: fusionforge-db-remote, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-web-apache2
Depends: fusionforge-web, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-shell-postgresql
Depends: fusionforge-shell, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-mta-postfix
Depends: fusionforge-mta-postfix, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-mta-exim4
Depends: fusionforge-mta-exim4, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.

Package: gforge-lists-mailman
Depends: fusionforge-lists, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Dummy upgrade package for FusionForge
 This is a transitional package and can safely be removed.


Package: fusionforge-plugin-scmgit
Depends: fusionforge-web (=${source:Version}), git, xinetd, rsync, ${misc:Depends}
Recommends: fusionforge-scm
Architecture: all
Description: FusionForge plugin - Git
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This plugin contains the Git subsystem of FusionForge. It allows each
 FusionForge project to have its own Git repository, and gives some
 control over it to the project's administrator.

Package: fusionforge-plugin-scmsvn
Depends: fusionforge-web (=${source:Version}), subversion, subversion-tools, viewvc, python, python-pycurl, xinetd, rsync, libapache2-mod-svn, ${misc:Depends}
Recommends: fusionforge-scm
Architecture: all
Description: FusionForge plugin - Subversion
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .

=== debian/watch ===
version=3

opts="uversionmangle=s/(rc\d+)/~$1/" https://fusionforge.org/frs/?group_id=6 /frs/download.php/.*/fusionforge-([\d\.]*(?:rc\d+)?).tar.bz2
